Bug 502919 - Review Request: polkit - PolicyKit Authorization Framework
Summary: Review Request: polkit - PolicyKit Authorization Framework
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-27 19:15 UTC by David Zeuthen
Modified: 2009-06-11 05:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 05:40:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
spec that builds (2.44 KB, application/octet-stream)
2009-05-28 14:52 UTC, Matthias Clasen
no flags Details
more fixes (2.68 KB, application/octet-stream)
2009-05-28 16:08 UTC, Matthias Clasen
no flags Details
fixed spec (2.77 KB, text/plain)
2009-05-28 18:12 UTC, Matthias Clasen
no flags Details

Description David Zeuthen 2009-05-27 19:15:03 UTC
Spec URL: http://people.freedesktop.org/~david/polkit.spec
SRPM URL: http://people.freedesktop.org/~david/polkit-0.92-0.git20090527.fc11.src.rpm
Description: PolicyKit Authorization Framework

This depends on eggdbus, see bug 502918.

Comment 1 Matthias Clasen 2009-05-28 05:17:30 UTC
missing BuildRequires: gtk-doc here as well

Comment 2 Matthias Clasen 2009-05-28 05:24:58 UTC
and intltool

Comment 3 Matthias Clasen 2009-05-28 14:52:02 UTC
Created attachment 345772 [details]
spec that builds

Here is a spec file that has the missing BRs added. I'm going to base my review on this.

Comment 4 Matthias Clasen 2009-05-28 15:15:55 UTC
[mclasen@planemask rpmbuild]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
polkit.src: W: non-standard-group Unspecified
polkit.src: W: no-url-tag
polkit.x86_64: W: non-standard-group Unspecified
polkit.x86_64: W: no-url-tag
polkit.x86_64: W: non-conffile-in-etc /etc/pam.d/polkit-1
polkit.x86_64: E: non-standard-dir-perm /var/lib/polkit-1 0700
polkit.x86_64: W: non-conffile-in-etc /etc/polkit-1/nullbackend.conf.d/50-nullbackend.conf
polkit.x86_64: E: setuid-binary /usr/libexec/polkit-agent-helper-1 root 04755
polkit.x86_64: E: non-standard-executable-perm /usr/libexec/polkit-agent-helper-1 04755
polkit.x86_64: E: setuid-binary /usr/bin/pkexec root 04755
polkit.x86_64: E: non-standard-executable-perm /usr/bin/pkexec 04755
polkit.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
polkit.x86_64: W: non-conffile-in-etc /etc/polkit-1/localauthority.conf.d/50-localauthority.conf
polkit-debuginfo.x86_64: W: no-url-tag
polkit-devel.x86_64: W: no-url-tag
polkit-devel.x86_64: W: no-documentation
polkit-docs.noarch: E: devel-dependency polkit-devel
polkit-docs.noarch: W: no-url-tag
5 packages and 0 specfiles checked; 6 errors, 12 warnings.


The no-url and non-standard-group warnings should be easy enough to fix.
The non-conffile-in-etc ones are probably ignorable.
The setuid and executable-perm ones should perhaps get a comment in the %files section, explaining why things are the way they are
Not sure what the devel-dependency error is about, doesn't make sense to me.

Comment 5 Matthias Clasen 2009-05-28 16:08:23 UTC
Created attachment 345787 [details]
more fixes

This spec file has some more fixes, like directory ownership, etc.

Comment 6 Matthias Clasen 2009-05-28 16:09:42 UTC
rpmlint output based on this spec file:

[mclasen@planemask rpmbuild]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
polkit.x86_64: W: non-conffile-in-etc /etc/pam.d/polkit-1
polkit.x86_64: E: non-standard-dir-perm /var/lib/polkit-1 0700
polkit.x86_64: W: non-conffile-in-etc /etc/polkit-1/nullbackend.conf.d/50-nullbackend.conf
polkit.x86_64: E: setuid-binary /usr/libexec/polkit-agent-helper-1 root 04755
polkit.x86_64: E: non-standard-executable-perm /usr/libexec/polkit-agent-helper-1 04755
polkit.x86_64: E: setuid-binary /usr/bin/pkexec root 04755
polkit.x86_64: E: non-standard-executable-perm /usr/bin/pkexec 04755
polkit.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
polkit.x86_64: W: non-conffile-in-etc /etc/polkit-1/localauthority.conf.d/50-localauthority.conf
polkit-devel.x86_64: W: no-documentation
polkit-docs.noarch: E: devel-dependency polkit-devel
5 packages and 0 specfiles checked; 6 errors, 5 warnings.

I see that you already had the comment about permissions, so thats good

Comment 7 Matthias Clasen 2009-05-28 16:26:02 UTC
checklist:

rpmlint: see above
package name: follows tarball name, ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec file language: ok
spec legible: ok
upstream sources: ok
buildable: ok
excludearch: n/a
build deps: ok
locales: ok
shared libs: ok
relocatable: n/a
directory ownership: 
  needs to own /usr/lib64/polkit-1/ and the backends/ subdir
  might want to add an explicit dbus dep for /usr/share/dbus-1/ (even though ConsoleKit pulls it in)
duplicate files: ok
file permissions: ok
%clean: ok
macro use: ok
content: ok
large docs: ok
%doc content: ok
headers: ok
static libs: n/a
pc files: ok
shared libs: ok
devel deps: ok
libtool archives: ok
gui apps: n/a
file ownership: ok
%install: must run rm -rf $RPM_BUILD_ROOT
utf8 filenames: ok

I wonder why pkexec is in the main package, but the pkexec policy is in -devel.

Comment 8 David Zeuthen 2009-05-28 17:03:59 UTC
(In reply to comment #7)
> I wonder why pkexec is in the main package, but the pkexec policy is in -devel

No, the pkexec policy is in the main package as 

 org.freedesktop.policykit.exec

the file you are referring to is for the

 org.freedesktop.policykit.example.pkexec.run-frobnicate

action which is used by /usr/bin/pk-example-frobnicate (also in the -devel package). E.g. the example is basically that you can do

 $ pkexec pk-example-frobnicate

and then get a dialog like this

 http://people.freedesktop.org/~david/pk-example-frobnicate.png

instead of e.g. this

 http://people.freedesktop.org/~david/pkexec-3.png

Comment 9 Matthias Clasen 2009-05-28 18:12:50 UTC
Created attachment 345810 [details]
fixed spec

This spec file fixes the points that came up while running through the checklist.
If you are fine with these changes, this can be approved.

Comment 10 David Zeuthen 2009-05-29 17:13:34 UTC
Looks good, thanks.

Comment 11 Matthias Clasen 2009-05-29 17:22:10 UTC
ok, approved

Comment 12 David Zeuthen 2009-05-29 17:29:12 UTC
New Package CVS Request
=======================
Package Name: polkit
Short Description: PolicyKit Authorization Framework
Owners: davidz
Branches: 
InitialCC:

Comment 13 Jason Tibbitts 2009-05-29 18:20:53 UTC
CVS done.

Comment 14 Matthias Clasen 2009-06-11 05:40:10 UTC
packages have been built


Note You need to log in before you can comment on or make changes to this bug.